package com.siwei.rsmonitoring.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.siwei.common.core.annotation.Excel;
import com.siwei.common.core.web.domain.BaseEntity;

import java.util.List;

/**
 * 地块基本信息核查判定对象 t_dkjbxx_hc
 *
 * @author siwei
 * @date 2025-03-03
 */
public class TDkjbxxHc extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private String id;

    /**
     * 地块ID
     */
    @Excel(name = "地块ID")
    private String dkjbxxId;

    /**
     * 判定结论 0 合法 1疑似违法 2其他
     */
    @Excel(name = "判定结论 0 合法 1疑似违法 2其他")
    private String decide;

    /**
     * 地类编码
     */
    @Excel(name = "地类编码")
    private String dlbm;

    /**
     * 注释
     */
    @Excel(name = "注释")
    private String notes;

    /**
     * 地类名称
     */
    @Excel(name = "地类名称")
    private String dlmc;

    /**
     * 核查流程ID
     */
    @Excel(name = "核查流程ID")
    private String auditflowId;

    /**
     * 核查流程步骤
     */
    @Excel(name = "核查流程步骤")
    private String auditflowStep;

    /**
     * 签名
     */
    @Excel(name = "签名")
    private String sign;

    private String fieldworkId;

    /**
     * 附件
     */
    private List<TDkAuditflowFj> fjs;

    /**
     * 附件
     */
    private List<TDkAuditflowFj> sdfjs;

    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setDkjbxxId(String dkjbxxId) {
        this.dkjbxxId = dkjbxxId;
    }

    public String getDkjbxxId() {
        return dkjbxxId;
    }

    public void setDecide(String decide) {
        this.decide = decide;
    }

    public String getDecide() {
        return decide;
    }

    public void setDlbm(String dlbm) {
        this.dlbm = dlbm;
    }

    public String getDlbm() {
        return dlbm;
    }

    public void setNotes(String notes) {
        this.notes = notes;
    }

    public String getNotes() {
        return notes;
    }

    public void setDlmc(String dlmc) {
        this.dlmc = dlmc;
    }

    public String getDlmc() {
        return dlmc;
    }

    public void setAuditflowId(String auditflowId) {
        this.auditflowId = auditflowId;
    }

    public String getAuditflowId() {
        return auditflowId;
    }

    public void setAuditflowStep(String auditflowStep) {
        this.auditflowStep = auditflowStep;
    }

    public String getAuditflowStep() {
        return auditflowStep;
    }

    public void setSign(String sign) {
        this.sign = sign;
    }

    public String getSign() {
        return sign;
    }

    public List<TDkAuditflowFj> getFjs() {
        return fjs;
    }

    public void setFjs(List<TDkAuditflowFj> fjs) {
        this.fjs = fjs;
    }

    public List<TDkAuditflowFj> getSdfjs() {
        return sdfjs;
    }

    public void setSdfjs(List<TDkAuditflowFj> sdfjs) {
        this.sdfjs = sdfjs;

    }

    public String getFieldworkId() {
        return fieldworkId;
    }

    public void setFieldworkId(String fieldworkId) {
        this.fieldworkId = fieldworkId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("dkjbxxId", getDkjbxxId())
                .append("decide", getDecide())
                .append("dlbm", getDlbm())
                .append("notes", getNotes())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("dlmc", getDlmc())
                .append("auditflowId", getAuditflowId())
                .append("auditflowStep", getAuditflowStep())
                .append("sign", getSign())
                .toString();
    }
}
